View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001042Ecere SDKcompilerpublic2013-12-01 21:192016-08-04 21:02
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.15Fixed in Version0.44.15 
Summary0001042: Container bug -- when doing array.array [ ] instead of just array [ ]
Description__ecerePointer_SmartPrime->number = ((int *)((struct __ecereNameSpace__ecere__com__Array *)(((char *)__ecerePointer_SmartPrime->magic + 24)))->array)[0] + 1;
Missing parentheses!
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001397)
jerome (administrator)
2016-08-03 12:56

Fixed by:
https://github.com/ecere/ecere-sdk/commit/e8319626af9d771518f5c43870eecceb26027fb1 [^]
(0001433)
jerome (administrator)
2016-08-04 21:02

Closed for 0.44.15

https://github.com/ecere/ecere-sdk/commit/37ac4ab4b983a5764f76d7fd77f6658924da8be0 [^]

- Issue History
Date Modified Username Field Change
2013-12-01 21:19 jerome New Issue
2016-07-16 20:52 jerome Assigned To => jerome
2016-07-16 20:52 jerome Priority normal => immediate
2016-07-16 20:52 jerome Status new => assigned
2016-07-16 20:52 jerome Target Version 0.46 eC II => 0.44.15
2016-08-03 12:56 jerome Note Added: 0001397
2016-08-03 12:56 jerome Status assigned => resolved
2016-08-03 12:56 jerome Fixed in Version => 0.44.15
2016-08-03 12:56 jerome Resolution open => fixed
2016-08-04 21:02 jerome Note Added: 0001433
2016-08-04 21:02 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker